Type to search.

Get workflow step executions

Base URL
https://{kibana_url}
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.4 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Retrieve a paginated list of step-level execution records for a specific workflow. Optionally filter by step ID and include input or output data.

Required privileges

Privileges workflowsManagement:read and workflowsManagement:readExecution. Extended privileges (optional, expand functionality when granted): workflowsManagement:managed:readExecution

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

workflowId string · max length: 255 required

Workflow ID

Query parameters

stepId string · max length: 1024

Filter by step ID.

includeInput boolean

Include step input data.

includeOutput boolean

Include step output data.

page number · min: 1

Page number for pagination.

size number · min: 1 · max: 100

Number of results per page.

startedAfter string · max length: 64

Datemath lower bound for filtering step executions by startedAt (inclusive when parsed).

startedBefore string · max length: 64

Datemath upper bound for filtering step executions by startedAt (inclusive when parsed with roundUp).

Response

200

Indicates a successful response

application/json